# Uses of Class
java.awt.BufferCapabilities.FlipContents

Packages that use BufferCapabilities.FlipContents
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of BufferCapabilities.FlipContents in java.awt

Fields in java.awt declared as BufferCapabilities.FlipContents
Modifier and Type
Field
Description
`static BufferCapabilities.FlipContents`
BufferCapabilities.FlipContents.`BACKGROUND`
When flip contents are `BACKGROUND`, the contents of the back buffer are cleared with the background color after flipping.
`static BufferCapabilities.FlipContents`
BufferCapabilities.FlipContents.`COPIED`
When flip contents are `COPIED`, the contents of the back buffer are copied to the front buffer when flipping.
`static BufferCapabilities.FlipContents`
BufferCapabilities.FlipContents.`PRIOR`
When flip contents are `PRIOR`, the contents of the back buffer are the prior contents of the front buffer (a true page flip).
`static BufferCapabilities.FlipContents`
BufferCapabilities.FlipContents.`UNDEFINED`
When flip contents are `UNDEFINED`, the contents of the back buffer are undefined after flipping.
Methods in java.awt that return BufferCapabilities.FlipContents
Modifier and Type
Method
Description
`BufferCapabilities.FlipContents`
BufferCapabilities.`getFlipContents()`
Methods in java.awt with parameters of type BufferCapabilities.FlipContents
Modifier and Type
Method
Description
`protected void`
Component.FlipBufferStrategy.`flip​(BufferCapabilities.FlipContents flipAction)`
Flipping moves the contents of the back buffer to the front buffer, either by copying or by moving the video pointer.
Constructors in java.awt with parameters of type BufferCapabilities.FlipContents
Modifier
Constructor
Description
``
`BufferCapabilities​(ImageCapabilities frontCaps, ImageCapabilities backCaps, BufferCapabilities.FlipContents flipContents)`
Creates a new object for specifying buffering capabilities